Bug 256232 - security/py-flask-saml: Fails run-depends on py39 after security/py-pysaml2 update to 7.0
Summary: security/py-flask-saml: Fails run-depends on py39 after security/py-pysaml2 u...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: Po-Chuan Hsieh
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2021-05-29 00:20 UTC by John W. O'Brien
Modified: 2021-06-10 15:30 UTC (History)
2 users (show)

See Also:


Attachments
security/py-flask-saml: Limit python version compatibility (466 bytes, text/plain)
2021-05-29 00:20 UTC, John W. O'Brien
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2021-05-29 00:20:16 UTC
Created attachment 225350 [details]
security/py-flask-saml: Limit python version compatibility

poudriere log excerpt
=====================

===>   py39-Flask-SAML-0.4.4 depends on package: py39-pysaml2>=5.1.0<6.20 - not found
*** Error code 1

Analysis
========

Since 0.4.4, flask_saml has required 'pysaml2>=5.1.0,<6.20' when built against Python 3.9 or later [0], for reasons that are not clear. On 2021-05-26, security/py-pysaml2 was upgraded from 6.5.0 to 7.0.0 [1], so the ports tree no longer supplies a version of pysaml2 that satisfies this requirement.

Action
======

1) Submitted enhancement request to upstream project [2].
2) Prepared patch to limit current port to Python <3.9

[0] https://bitbucket.org/asecurityteam/flask_saml/commits/a8ff66f3963b1fc6201293c949d6f3f5c8702b46#Lsetup.pyT22
[1] https://cgit.freebsd.org/ports/commit/?id=11e789d4217c2b7e11aa31a63a83c12eb789f220
[2] https://bitbucket.org/asecurityteam/flask_saml/issues/9/add-support-for-pysaml2-70-under-python-39
Comment 1 Po-Chuan Hsieh freebsd_committer 2021-06-05 13:01:22 UTC
I'll add py-pysaml2 6.5.1 as security/py-pysaml26 and change py-flask-saml to use the new port.
Comment 2 commit-hook freebsd_committer 2021-06-10 14:50:47 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=5cd76fde8bbaeae0444ebd92023394d04e954717

commit 5cd76fde8bbaeae0444ebd92023394d04e954717
Author:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
AuthorDate: 2021-06-10 14:31:42 +0000
Commit:     Po-Chuan Hsieh <sunpoet@FreeBSD.org>
CommitDate: 2021-06-10 14:46:24 +0000

    security/py-flask-saml: Fix build with Python 3.9+

    - Change RUN_DEPENDS from py-pysaml2 to py-pysaml26
    - Bump PORTREVISION for dependency change

    PR:             256232
    Reported by:    John W. O'Brien <john@saltant.com>

 security/py-flask-saml/Makefile | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
Comment 3 Po-Chuan Hsieh freebsd_committer 2021-06-10 15:30:37 UTC
Committed. Thanks!